Summary: System V initialization program
Name: SysVinit
%define version 2.74
Version: %{version}
Release: 4
Copyright: GPL
Group: Daemons
Source: ftp://ftp.cistron.nl/pub/people/miquels/software/sysvinit-2.74.tar.gz
Patch0: sysvinit-2.74-rh.patch
Patch1: sysvinit-2.71-md5.patch
Patch2: sysvinit-2.74-nologin.patch
Patch3: sysvinit-2.74-sigpwr.patch
Patch4: sysvinit-2.74-securelevel-security.patch
Buildroot: /var/tmp/init-root
Summary(de): System V-Intialisierungsprogramm
Summary(fr): Programme d'initialisation Sys V.
Summary(tr): System V balatma program

%description
SysVinit is the first program started by the Linux kernel when the system
boots, controlling the startup, running, and shutdown of all other
programs.

%description -l de
SysVinit ist das erste Programm, das beim Systemstart vom Linux-Kernel 
gestartet wird. Es steuert das Starten, Ausfhren und Beenden aller
anderen Programme.

%description -l fr
SysVinit est le premier programme excut par le noyau de Linux lorsque le
systme dmarre, il contrle le lancement, l'excution et l'arrt de tous
les autres programmes.

%description -l tr
SysVinit, sistem alrken Linux ekirdei tarafndan altrlan ilk
programdr. Dier programlarn balamalarn, almalarn ve sonlanmalarn
salar/denetler.

%prep
%setup -q -n sysvinit-%{version}
%patch0 -p1 -b .rh
%patch1 -p1 -b .md5
%patch2 -p1 -b .nologin
%patch3 -p1 -b .sigpwr
%patch4 -p1 -b .seclvl

%build
make -C src

%install
rm -rf $RPM_BUILD_ROOT
for I in sbin usr/bin usr/man/man{1,3,5,8} etc var/run dev; do
	mkdir -p $RPM_BUILD_ROOT/$I
done
make -C src ROOT=$RPM_BUILD_ROOT install
ln -sf ../var/run/initrunlvl $RPM_BUILD_ROOT/etc

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:
chgrp tty $RPM_BUILD_ROOT/usr/bin/wall
chmod g+s $RPM_BUILD_ROOT/usr/bin/wall

%files
%defattr(-,root,root)
%doc doc/Propaganda doc/changelog doc/Install README.RIGHT.NOW
%doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
/sbin/halt
/sbin/init
/sbin/killall5
/sbin/sulogin
/sbin/runlevel
/sbin/shutdown
/sbin/reboot
/sbin/pidof
/sbin/telinit
/usr/bin/mesg
/usr/bin/last
/usr/bin/lastb
/usr/bin/utmpdump
%attr(-,root,tty)  /usr/bin/wall
/usr/man/*/*
/etc/initrunlvl
/dev/initctl

%changelog
* Thu Jul 09 1998 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- Fix a securelevel releated security hole. Go on, try and break append
  only files + securelevel now ;-)

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown.
- compile around missing SIGPWR on sparc

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.74
- fixed the package source url... (yeah, it was wrong !)

* Wed Oct 1 1997 Cristian Gafton <gafton@redhat.com>
- fixed the MD5 check in sulogin (128 hash bits encoded with base64 gives
  22 bytes, not 24...). Fix in -md5.patch

* Thu Sep 11 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- /etc/initrunlvl gets linked to /tmp/init-root/var/run/initrunlvl which is
  just plain wrong..
- /usr/bin/utmpdump was missing in the files section, although it was
  explicitly patched into PROGS.
- added attr's to the files section.
- various small fixes.

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- updated to 2.71
- built against glibc 2.0.4

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added sulogin.8 man page to file list.
